Loading...
Searching...
No Matches
Pixel Struct Reference

A Unicode character and its associated style. More...

## Public Member Functions

| Pixel ()

## Data Fields

bool | blink: 1
bool | bold: 1
bool | dim: 1
bool | italic: 1
bool | inverted: 1
bool | underlined: 1
bool | underlined_double: 1
bool | strikethrough: 1
bool | automerge: 1
uint8_t | hyperlink = 0
std::string | character = ""
Color | background_color = Color::Default
Color | foreground_color = Color::Default

## Detailed Description

A Unicode character and its associated style.

Examples
  examples/component/canvas_animated.cpp, examples/component/selection.cpp, and examples/dom/canvas.cpp.

Definition at line 15 of file pixel.hpp.

## Constructor & Destructor Documentation

## Pixel()

Pixel | ( |  | ) |

inline

Definition at line 16 of file pixel.hpp.

## Field Documentation

## blink

bool blink

Definition at line 28 of file pixel.hpp.

## bold

bool bold

Examples
  examples/component/canvas_animated.cpp.

Definition at line 29 of file pixel.hpp.

## dim

bool dim

Definition at line 30 of file pixel.hpp.

## italic

bool italic

Definition at line 31 of file pixel.hpp.

## inverted

bool inverted

Definition at line 32 of file pixel.hpp.

## underlined

bool underlined

Examples
  examples/component/canvas_animated.cpp, and examples/dom/canvas.cpp.

Definition at line 33 of file pixel.hpp.

## underlined_double

bool underlined_double

Examples
  examples/component/selection.cpp.

Definition at line 34 of file pixel.hpp.

## strikethrough

bool strikethrough

Definition at line 35 of file pixel.hpp.

## automerge

bool automerge

Definition at line 36 of file pixel.hpp.

## hyperlink

uint8_t hyperlink = 0

Definition at line 41 of file pixel.hpp.

## character

std::string character = ""

Definition at line 45 of file pixel.hpp.

## background_color

Color background_color = Color::Default

Definition at line 48 of file pixel.hpp.

## foreground_color

Color foreground_color = Color::Default

Examples
  examples/component/canvas_animated.cpp, and examples/dom/canvas.cpp.

Definition at line 49 of file pixel.hpp.

The documentation for this struct was generated from the following file:

- include/ftxui/screen/pixel.hpp